/*

 timeout.h

 Written by
  Kajtar Zsolt <soci@c64.rulez.org>

    This file is part of IDEDOS the IDE64 disk operating system
    See README for copyright notice.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _TIMEOUT_H
#define _TIMEOUT_H

extern volatile int timeout_expired;
extern volatile int signal_received;

extern void timeout_init(void);
extern void timeout_deinit(void);
#if defined _WIN32 || defined __CYGWIN__
extern void mdelay(unsigned int);
#define udelay(u) mdelay((u)/1000)
#else
#define udelay(u) usleep(u)
#endif
#ifdef _WIN32
extern void timeout_set(unsigned int);
extern void timeout_cancel();
#else
#define timeout_set(a) alarm(a)
#define timeout_cancel() timeout_set(0)
#endif

#endif
